local ATTR_TYPE_ADD_LIFE = 1 --生命上限
local ATTR_TYPE_PHY_ATK = 2 --物理攻击
local ATTR_TYPE_MAGIC_ATK = 3 --法术攻击
local ATTR_TYPE_PHY_DEF = 4 --物理防御
local ATTR_TYPE_MAGIC_DEF= 5 --魔法防御
local ATTR_TPPE_FIMAL_PHY_ATK= 6 --最终物伤加成
local ATTR_TYPE_FINAL_MAGIC= 7 --最终法伤加成
local ATTR_TYPE_FINAL_PHY_DEF= 8 --最终物伤减免
local ATTR_TYPE_FINAL_MAIGC_DEF= 9 --最终法伤减免
local ATTR_TYPE_PHY_CRIT = 10 --物理暴击
local ATTR_TYPE_MAGIC_CRIT		= 11 --法术暴击
local ATTR_TYPE_CRUSH_ATK		= 13 --粉碎攻击
local ATTR_TYPE_HARD_DEF = 14 --坚固防御
local ATTR_TYPE_DEF_CRIT = 12 --抵抗暴击
local ATTR_TYPE_LUCK_ASYLUM = 23 --幸运庇护(降低收到幸运一击的几率)
local ATTR_TYPE_LUCK_HIT = 24 --幸运一击(不与原来的幸运一击机率叠加)
local ATTR_TYPE_ABILITY_SCORE = 22 --实力评分

-- 展示动作头顶显示偏移
local TopShowActionOffset = {
	[2200] = {
		["X"] = 0,
		["Y"] = -50,
	},
	[2000] = {
		["X"] = 0,
		["Y"] = -50,
	},
		[2201] = {
		["X"] = 100,
		["Y"] = 0,
	},
	[2001] = {
		["X"] = 0,
		["Y"] = 60,
	},
		[2202] = {
		["X"] = 50,
		["Y"] = -30,
	},
	[2002] = {
		["X"] = 0,
		["Y"] = -50,
	},
	[2400] = {
		["X"] = 0,
		["Y"] = -150,
	},
	[2600] = {
		["X"] = 0,
		["Y"] = -150,
	},
}

-- 模型展示数据
local ModelShowData = {
	-- 模型ID
	[360434] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2030] = {
				-- 性别look(男/女)
				[7] = "7360434_2030",
				[8] = "8360434_2030",
				["Dir"] = 0,
			},
			-- Action
			[2230] = {
				-- 性别look(男/女)
				[7] = "7360434_2230",
				[8] = "8360434_2230",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2430] = {
				-- 性别look(男/女)
				[8] = "360434_2430",
				["Dir"] = 0,
			},
			[2630] = {
				-- 性别look(男/女)
				[8] = "360434_2630",
				["Dir"] = 0,
				["Delect"] = 0,
			},
		},
	},
	-- 模型ID
	[360420] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2011] = {
				-- 性别look(男/女)
				[7] = "7360420_2010",
				[8] = "8360420_2010",
				["Dir"] = 0,
			},
			-- Action
			[2211] = {
				-- 性别look(男/女)
				[7] = "7360420_2210",
				[8] = "8360420_2210",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2411] = {
				-- 性别look(男/女)
				[8] = "360420_2410",
				["Dir"] = 0,
			},
			[2611] = {
				-- 性别look(男/女)
				[8] = "360420_2610",
				["Dir"] = 0,
				["Delect"] = 0,
			},
			 [1307] = {
				 [7] = "360420_1307",
				 [8] = "360420_1307",
				 ["Dir"] = 0,
			 }
		},
	},
	-- 模型ID
	[360421] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2010] = {
				-- 性别look(男/女)
				[7] = "7360421_2011",
				[8] = "8360421_2011",
				["Dir"] = 0,
			},
			-- Action
			[2210] = {
				-- 性别look(男/女)
				[7] = "7360421_2211",
				[8] = "8360421_2211",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2410] = {
				-- 性别look(男/女)
				[8] = "360421_2411",
				["Dir"] = 0,
			},
			[2610] = {
				-- 性别look(男/女)
				[8] = "360421_2611",
				["Dir"] = 0,
				["Delect"] = 0,
			},
			 [1307] = {
				 [7] = "360420_1307",
				 [8] = "360420_1307",
				 ["Dir"] = 0,
			 }
		},
	},
	-- 模型ID
	[360402] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2000] = {
				-- 性别look(男/女)
				[7] = "360402_2000",
				[8] = "360402_2000",
				["Dir"] = 0,
			},
			-- Action
			[2200] = {
				-- 性别look(男/女)
				[7] = "360402_2200",
				[8] = "360402_2200",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2400] = {
				-- 性别look(男/女)
				[8] = "360402_2400",
				["Dir"] = 0,
			},
			[2600] = {
				-- 性别look(男/女)
				[8] = "360402_2600",
				["Dir"] = 0,
				["Delect"] = 0,
			},
			-- [1207] = {
				-- [7] = "360402_401",
				-- [8] = "360402_401",
				-- ["Dir"] = 0,
			-- }
		},
	},
	[360403] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2001] = {
				-- 性别look(男/女)
				[7] = "360403_2001",
				[8] = "360403_2001",
				["Dir"] = 0,
			},
			-- Action
			[2201] = {
				-- 性别look(男/女)
				[7] = "360403_2201",
				[8] = "360403_2201",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2401] = {
				-- 性别look(男/女)
				[8] = "360403_2401",
				["Dir"] = 0,
			},
			[2601] = {
				-- 性别look(男/女)
				[8] = "360403_2601",
				["Dir"] = 0,
				["Delect"] = 0,
			},
			-- [1207] = {
				-- [7] = "360402_401",
				-- [8] = "360402_401",
				-- ["Dir"] = 0,
			-- }
		},
	},
	[360404] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2002] = {
				-- 性别look(男/女)
				[7] = "360404_2002",
				[8] = "360404_2002",
				["Dir"] = 0,
			},
			-- Action
			[2202] = {
				-- 性别look(男/女)
				[7] = "360404_2202",
				[8] = "360404_2202",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2402] = {
				-- 性别look(男/女)
				[8] = "360404_2402",
				["Dir"] = 0,
			},
			[2602] = {
				-- 性别look(男/女)
				[8] = "360404_2602",
				["Dir"] = 0,
				["Delect"] = 0,
			},
			-- [1207] = {
				-- [7] = "360402_401",
				-- [8] = "360402_401",
				-- ["Dir"] = 0,
			-- }
		},
	},
	-- 模型ID
	[360364] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[1107] = {
				-- 性别look(男/女)
				[7] = "360364_nv1107",
				[8] = "360364_nan1107",
				["Dir"] = 0,
			},
			-- Action
			[1108] = {
				-- 性别look(男/女)
				[7] = "360364_1108",
				[8] = "360364_1108",
				["Dir"] = 0,
			},
			-- Action
			[1110] = {
				-- 性别look(男/女)
				[7] = "360364_1110",
				[8] = "360364_1110",
				["Dir"] = 0,
			},
			-- Action
			[1111] = {
				-- 性别look(男/女)
				[7] = "360364_1111",
				[8] = "360364_1111",
				["Dir"] = 0,
			},
		},
	},
	[360365] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[1107] = {
				-- 性别look(男/女)
				[7] = "360365_nv1107",
				[8] = "360365_nan1107",
				["Dir"] = 0,
			},
			-- Action
			[1108] = {
				-- 性别look(男/女)
				[7] = "360365_1108",
				[8] = "360365_1108",
				["Dir"] = 0,
			},
			-- Action
			[1110] = {
				-- 性别look(男/女)
				[7] = "360365_1110",
				[8] = "360365_1110",
				["Dir"] = 0,
			},
			-- Action
			[1111] = {
				-- 性别look(男/女)
				[7] = "360365_1111",
				[8] = "360365_1111",
				["Dir"] = 0,
			},
		},
	},
	[360366] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[1107] = {
				-- 性别look(男/女)
				[7] = "360366_nv1107",
				[8] = "360366_nan1107",
				["Dir"] = 0,
			},
			-- Action
			[1108] = {
				-- 性别look(男/女)
				[7] = "360366_1108",
				[8] = "360366_1108",
				["Dir"] = 0,
			},
			-- Action
			[1110] = {
				-- 性别look(男/女)
				[7] = "360366_1110",
				[8] = "360366_1110",
				["Dir"] = 0,
			},
			-- Action
			[1111] = {
				-- 性别look(男/女)
				[7] = "360366_1111",
				[8] = "360366_1111",
				["Dir"] = 0,
			},
		},
	},
	[360367] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[1107] = {
				-- 性别look(男/女)
				[7] = "360367_nv1107",
				[8] = "360367_nan1107",
				["Dir"] = 0,
			},
			-- Action
			[1108] = {
				-- 性别look(男/女)
				[7] = "360367_1108",
				[8] = "360367_1108",
				["Dir"] = 0,
			},
			-- Action
			[1110] = {
				-- 性别look(男/女)
				[7] = "360367_1110",
				[8] = "360367_1110",
				["Dir"] = 0,
			},
			-- Action
			[1111] = {
				-- 性别look(男/女)
				[7] = "360367_1111",
				[8] = "360367_1111",
				["Dir"] = 0,
			},
		},
	},
	[360368] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[1107] = {
				-- 性别look(男/女)
				[7] = "360368_nv1107",
				[8] = "360368_nan1107",
				["Dir"] = 0,
			},
			-- Action
			[1108] = {
				-- 性别look(男/女)
				[7] = "360368_1108",
				[8] = "360368_1108",
				["Dir"] = 0,
			},
			-- Action
			[1110] = {
				-- 性别look(男/女)
				[7] = "360368_1110",
				[8] = "360368_1110",
				["Dir"] = 0,
			},
			-- Action
			[1111] = {
				-- 性别look(男/女)
				[7] = "360368_1111",
				[8] = "360368_1111",
				["Dir"] = 0,
			},
		},
	},
	--  灵宠物品ID
    [4330000] = {
		--缩放
		["Scale"] = 100,
	},
	[360427] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2020] = {
				-- 性别look(男/女)
				[7] = "7360427_1720",
				[8] = "8360427_1720",
				["Dir"] = 0,
			},
			-- Action
			[2220] = {
				-- 性别look(男/女)
				[7] = "7360427_1721",
				[8] = "8360427_1721",
				["Dir"] = 0,
			},
			-- Action
			[2420] = {
				-- 性别look(男/女)
				[7] = "360427_1730",
				[8] = "360427_1730",
				["Dir"] = 0,
			},
			-- Action
			[2620] = {
				-- 性别look(男/女)
				[7] = "360427_1731",
				[8] = "360427_1731",
				["Dir"] = 0,
			},
		},
	},
		-- 模型ID
	[360450] = {
		-- 缩放
		["Scale"] = 150,
		-- 偏移
		["OffsetX"] = 0,
		["OffsetY"] = 0,
		-- 旋转（初始展示角度）
		["RotateX"] = -60,
		["RotateY"] = 0,
		["RotateZ"] = 0,
		-- 展示动作光效
		["Effect"] = {
			-- Action
			[2031] = {
				-- 性别look(男/女)
				[7] = "360450_2031",
				[8] = "360450_2031",
				["Dir"] = 0,
			},
			-- Action
			[2231] = {
				-- 性别look(男/女)
				[7] = "360450_2231",
				[8] = "360450_2231",
				["Dir"] = 0,
				-- 是否删除特效（循环特效且有流光需要配置0）
				["Delect"] = 0,
			},-- Action
			[2431] = {
				-- 性别look(男/女)
				[8] = "360450_2431",
				["Dir"] = 0,
			},
			[2631] = {
				-- 性别look(男/女)
				[8] = "360450_2631",
				["Dir"] = 0,
				["Delect"] = 0,
			},
		},
	},
}

-- 藏品显示数据
local CollectData = {
	-- 第一层藏品
	["count"] = 6,
	[0] = {
		-- 藏品类型
		-- 0:藏品伞
		["Type"] = 0,-- 通用碎片
		["GeneralPartID"] = 3326046,
		-- 物品type
		["ItemType"] = 4300000,
		-- 碎片物品type
		["PartItemType"] = 3326259,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 360364,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 1107,
		-- 单人炫耀静帧
		["Single2"] = 1108,
		-- 双人炫耀
		["Double1"] = 1111,
		-- 双人炫耀
		["Double2"] = 0,
		-- 双人炫耀走右
		["DoubleWalkR"] = 1130,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1131,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1132,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1133,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1134,
		-- 双人炫耀待机
		["DoubleIdle"] = 1135,
		-- 藏品展示光效
		["Effect"] = "360364zs",
		
		-- 第二层藏品
		["count"] = 4,
		[0] = {
			-- 物品type
			["ItemType"] = 4300001,
			-- 碎片物品type
			["PartItemType"] = 3326260,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360365,
			-- 藏品展示光效
			["Effect"] = "360365zs",
		},
		[1] = {
			-- 物品type
			["ItemType"] = 4300002,
			-- 碎片物品type
			["PartItemType"] = 3326261,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360366,
			-- 藏品展示光效
			["Effect"] = "360366zs",
		},
		[2] = {
			-- 物品type
			["ItemType"] = 4300003,
			-- 碎片物品type
			["PartItemType"] = 3326262,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360367,
			-- 藏品展示光效
			["Effect"] = "360367zs",
		},
		[3] = {
			-- 物品type
			["ItemType"] = 4300004,
			-- 碎片物品type
			["PartItemType"] = 3326263,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360368,
			-- 藏品展示光效
			["Effect"] = "360368zs",
		},
		
	},
	[1] = {
		-- 藏品类型
		-- 1:唤兽笛
		["Type"] = 1,
		-- 通用碎片
		["GeneralPartID"] = 3336737,
		-- 物品type
		["ItemType"] = 4310000,
		-- 碎片物品type
		["PartItemType"] = 3336144,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 360402,
		-- 骑宠ID
		-- 该ID对应MountType.dat的标题（既是 []里面的值）
		["MountID"] = 43100000000,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 2000,
		-- 单人炫耀静帧
		["Single2"] = 2200,
		-- 双人炫耀表现
		["Double1"] = 2400,
		-- 双人炫耀静帧
		["Double2"] = 2600,
		-- 双人炫耀走右
		["DoubleWalkR"] = 1211,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1212,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1213,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1214,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1215,
		-- 双人炫耀待机
		["DoubleIdle"] = 1210,
		-- 藏品展示光效
		["Effect"] = "360402zs",
		
		-- 第二层藏品
		["count"] = 2,
		 [0] = {
			 -- 物品type
			 ["ItemType"] = 4310001,
			 -- 碎片物品type
			 ["PartItemType"] = 3336145,
			 -- 需要合成的总量
			 ["PartCount"] = 100,
			 -- 模型ID
			 ["ModelID"] = 360403,
			 -- 骑宠ID
			 ["MountID"] = 43100010000,
			 -- 单人炫耀表现
			 ["Single1"] = 2001,
			 -- 单人炫耀静帧
			 ["Single2"] = 2201,
			 -- 双人炫耀
			 ["Double1"] = 2401,
			 -- 双人炫耀静帧
			 ["Double2"] = 2601,
			 -- 藏品展示光效
			 ["Effect"] = "360403zs",
		 },
		[1] = {
			-- 物品type
			["ItemType"] = 4310002,
			-- 碎片物品type
			["PartItemType"] = 3336146,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360404,
			-- 骑宠ID
			["MountID"] = 43100020000,
			-- 单人炫耀表现
			["Single1"] = 2002,
			-- 单人炫耀静帧
			["Single2"] = 2202,
			-- 双人炫耀
			["Double1"] = 2402,
			-- 双人炫耀静帧
			["Double2"] = 2602,
			-- 藏品展示光效
			["Effect"] = "360404zs",
		},
	},
	[2] = {
		-- 藏品类型
		-- 0:藏品伞
		["Type"] = 1,-- 通用碎片
		["GeneralPartID"] = 3341901,
		-- 物品type
		["ItemType"] = 4320000,
		-- 碎片物品type
		["PartItemType"] = 3341899,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 360420,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 2011,
		-- 单人炫耀静帧
		["Single2"] = 2211,
		-- 双人炫耀
		["Double1"] = 2411,
		-- 双人炫耀
		["Double2"] = 2611,
		-- 双人炫耀走右
		["DoubleWalkR"] = 1311,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1312,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1313,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1314,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1315,
		-- 双人炫耀待机
		["DoubleIdle"] = 1310,
		-- 藏品展示光效
		["Effect"] = "360420zs",
		
		-- 第二层藏品
		["count"] = 2,
		[0] = {
			-- 物品type
			["ItemType"] = 4320001,
			-- 碎片物品type
			["PartItemType"] = 3341900,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360421,
			-- 藏品展示光效
			["Effect"] = "360421zs",
			-- 单人炫耀表现
			["Single1"] = 2010,
			-- 单人炫耀静帧
			["Single2"] = 2210,
			-- 双人炫耀
			["Double1"] = 2410,
			-- 双人炫耀
			["Double2"] = 2610,
					-- 双人炫耀走右
		["DoubleWalkR"] = 1311,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1312,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1313,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1314,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1315,
		-- 双人炫耀待机
		["DoubleIdle"] = 1310,

		},
		[1] = {
			-- 物品type
			["ItemType"] = 4320002,
			-- 碎片物品type
			["PartItemType"] = 3344551,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 360427,
			-- 藏品展示光效
			["Effect"] = "360427_zs",
			-- 单人炫耀表现
			["Single1"] = 2020,
			-- 单人炫耀静帧
			["Single2"] = 2220,
			-- 双人炫耀
			["Double1"] = 2420,
			-- 双人炫耀
			["Double2"] = 2620,
					-- 双人炫耀走右
		["DoubleWalkR"] = 1711,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1712,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1713,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1714,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1715,
		-- 双人炫耀待机
		["DoubleIdle"] = 1710,

		},
		
	},
	-- [3] = {
		-- -- 物品type
		-- ["ItemType"] = 1001030,
		-- -- 碎片物品type
		-- ["PartItemType"] = 1001020,
		-- -- 需要合成的总量
		-- ["PartCount"] = 5,
		-- -- 模型ID
		-- ["ModelID"] = 410003,
		
		-- -- 第二层藏品
		-- ["count"] = 0,
		-- [0] = {
			-- -- 物品type
			-- ["ItemType"] = 4020707,
			-- -- 碎片物品type
			-- ["PartItemType"] = 4020708,
			-- -- 需要合成的总量
			-- ["PartCount"] = 15,
			-- -- 模型ID
			-- ["ModelID"] = 410003,
		-- },
		-- [1] = {
			-- -- 物品type
			-- ["ItemType"] = 4020807,
			-- -- 碎片物品type
			-- ["PartItemType"] = 4020808,
			-- -- 需要合成的总量
			-- ["PartCount"] = 15,
			-- -- 模型ID
			-- ["ModelID"] = 410003,
		-- },
	-- },
	-- [4] = {
		-- -- 物品type
		-- ["ItemType"] = 1060022,
		-- -- 碎片物品type
		-- ["PartItemType"] = 1060023,
		-- -- 需要合成的总量
		-- ["PartCount"] = 5,
		-- -- 模型ID
		-- ["ModelID"] = 410003,
		
		-- -- 第二层藏品
		
		-- ["count"] = 1,
		-- [0] = {
			-- -- 物品type
			-- ["ItemType"] = 1060020,
			-- -- 碎片物品type
			-- ["PartItemType"] = 1060021,
			-- -- 需要合成的总量
			-- ["PartCount"] = 5,
			-- -- 模型ID
			-- ["ModelID"] = 410003,
		-- },
		-- [1] = {
			-- -- 物品type
			-- ["ItemType"] = 4020207,
			-- -- 碎片物品type
			-- ["PartItemType"] = 4020208,
			-- -- 需要合成的总量
			-- ["PartCount"] = 15,
			-- -- 模型ID
			-- ["ModelID"] = 410003,
		-- },
	-- },
	
	[3] = {
		--藏品类型
		--2：灵宠
		["Type"] = 2,
		-- 物品type
		["ItemType"] = 4330000,
		-- 碎片物品type
		["PartItemType"] = 3342835,
		-- 通用碎片
		["GeneralPartID"] = 3342836,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 423,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 106,
		-- 单人炫耀静帧
        ["Single2"] = 107,
		-- 双人炫耀
		["Double1"] = 60,
		-- 双人炫耀静帧
		["Double2"] = 61,
		-- 第二层藏品
		["count"] = 2,
		[0] = {
			-- 物品type
			["ItemType"] = 4330001,
			-- 碎片物品type
			["PartItemType"] = 3347144,
			-- 通用碎片
			["GeneralPartID"] = 3342836,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 507,
			-- 双人炫耀
			["Double1"] = 3000,
			-- 双人炫耀静帧
			["Double2"] = 3001,
			-- 地效位置（基于人物偏移）
			["TerainEffDir"] = {
				[0] = {
					["x"] = 0,
					["y"] = 5,
				},
				[1] = {
					["x"] = -5,
					["y"] = 5,
				},
				[2] = {
					["x"] = -5,
					["y"] = 0,
				},
				[3] = {
					["x"] = -5,
					["y"] = -5,
				},
				[4] = {
					["x"] = 0,
					["y"] = -5,
				},
				[5] = {
					["x"] = 5,
					["y"] = -5,
				},
				[6] = {
					["x"] = 5,
					["y"] = 0,
				},
				[7] = {
					["x"] = 5,
					["y"] = 5,
				},
			},
		},
		[1] = {
			-- 物品type
			["ItemType"] = 4330002,
			-- 碎片物品type
			["PartItemType"] = 3348179,
			-- 通用碎片
			["GeneralPartID"] = 3342836,
			-- 需要合成的总量
			["PartCount"] = 100,
			-- 模型ID
			["ModelID"] = 517,
			-- 双人炫耀
			["Double1"] = 3010,
			-- 双人炫耀静帧
			["Double2"] = 3011,
			-- 地效位置（基于人物偏移）
			-- ["TerainEffDir"] = {
				-- [0] = {
					-- ["x"] = 0,
					-- ["y"] = 5,
				-- },
				-- [1] = {
					-- ["x"] = -5,
					-- ["y"] = 5,
				-- },
				-- [2] = {
					-- ["x"] = -5,
					-- ["y"] = 0,
				-- },
				-- [3] = {
					-- ["x"] = -5,
					-- ["y"] = -5,
				-- },
				-- [4] = {
					-- ["x"] = 0,
					-- ["y"] = -5,
				-- },
				-- [5] = {
					-- ["x"] = 5,
					-- ["y"] = -5,
				-- },
				-- [6] = {
					-- ["x"] = 5,
					-- ["y"] = 0,
				-- },
				-- [7] = {
					-- ["x"] = 5,
					-- ["y"] = 5,
				-- },
			-- },
		},

    },
	[4] = {
		-- 藏品类型
		-- 0:星穹之梦
		["Type"] = 3,-- 通用碎片
		["GeneralPartID"] = 3346027,
		-- 物品type
		["ItemType"] = 4331000,
		-- 碎片物品type
		["PartItemType"] = 3346022,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 360434,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 2030,
		-- 单人炫耀静帧
		["Single2"] = 2230,
		-- 双人炫耀
		["Double1"] = 2430,
		-- 双人炫耀
		["Double2"] = 2630,
		-- 藏品展示光效
		["Effect"] = "360434zs",
		-- 双人炫耀走右
		["DoubleWalkR"] = 523,
		-- 双人炫耀走左
		["DoubleWalkL"] = 524,
		-- 双人炫耀跑右
		["DoubleRunR"] = 525,
		-- 双人炫耀跑左
		["DoubleRunL"] = 526,
		-- 双人炫耀跳跃
		["DoubleJump"] = 527,
		-- 双人炫耀待机
		["DoubleIdle"] = 521,
		
	},
	
	[5] = {
		-- 藏品类型
		-- 0:星穹之梦
		["Type"] = 3,-- 通用碎片
		["GeneralPartID"] = 3349735,
		-- 物品type
		["ItemType"] = 4332000,
		-- 碎片物品type
		["PartItemType"] = 3349734,
		-- 需要合成的总量
		["PartCount"] = 100,
		-- 模型ID
		["ModelID"] = 360450,
		-- 动作配置（如果第二层藏品不配置，默认使用第一层的动作）
		-- 单人炫耀表现
		["Single1"] = 2031,
		-- 单人炫耀静帧
		["Single2"] = 2231,
		-- 双人炫耀
		["Double1"] = 2431,
		-- 双人炫耀
		["Double2"] = 2631,
		-- 藏品展示光效
		["Effect"] = "360450zs",
		-- 双人炫耀走右
		["DoubleWalkR"] = 1811,
		-- 双人炫耀走左
		["DoubleWalkL"] = 1812,
		-- 双人炫耀跑右
		["DoubleRunR"] = 1813,
		-- 双人炫耀跑左
		["DoubleRunL"] = 1814,
		-- 双人炫耀跳跃
		["DoubleJump"] = 1815,
		-- 双人炫耀待机
		["DoubleIdle"] = 1810,
		
	},
}


--注意请确保数据和服务端数据一致
local ActiveInfo = {
	-- 主藏品ID
	[4300000] = {
		[1] = {
			--需要解锁的数量
			["nCount"] = 1,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4300000_1",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
			},
		},
		[2] = {
			--需要解锁的数量
			["nCount"] = 2,
			--增加属性的描述
		["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4300000_2",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_DEF_CRIT,["Value"] = 100,},
				[2] = {["Type"] = ATTR_TYPE_PHY_DEF,["Value"] = 200,},
				[3] = {["Type"] = ATTR_TYPE_MAGIC_DEF,["Value"] = 100,},
				[4] = {["Type"] = ATTR_TYPE_LUCK_HIT,["Value"] = 100,},
			},
		},
		[3] = {
			--需要解锁的数量
			["nCount"] = 3,
			--增加属性的描述
			["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4300000_3",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_HARD_DEF,["Value"] = 200,},
				[2] = {["Type"] = ATTR_TYPE_PHY_CRIT,["Value"] = 100,},
				[3] = {["Type"] = ATTR_TYPE_FINAL_PHY_DEF,["Value"] = 500,},
				[4] = {["Type"] = ATTR_TYPE_FINAL_MAIGC_DEF,["Value"] = 300,},
			},
		},
		[4] = {
			-- 需要解锁的数量
			["nCount"] = 4,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4300000_4",
			-- 增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
				[2] = {["Type"] = ATTR_TPPE_FIMAL_PHY_ATK,["Value"] = 500,},
				[3] = {["Type"] = ATTR_TYPE_FINAL_MAGIC,["Value"] = 300,},
			},
		},
		[5] = {
			-- 需要解锁的数量
			["nCount"] = 5,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4300000_5",
			-- 增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
			},
		},
		-- [5] = {
			-- 需要解锁的数量
			-- ["nCount"] = 5,
			-- ["strValue"] = "实力评分增加1000分，Parry增加1%，Lucky Strike增加1%",
			-- 增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			-- ["AddAttr"] = {
				-- [1] = {["Type"] = ATTR_TYPE_ABILITY_SCORE,["Value"] = 1000,},
				-- [2] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
				-- [3] = {["Type"] = ATTR_TYPE_LUCK_HIT,["Value"] = 100,},
			-- },
		-- },
	},
	[4310000] = {
		[1] = {
			--需要解锁的数量
			["nCount"] = 1,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4310000_1",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},

			},
		},
		[2] = {
			--需要解锁的数量
			["nCount"] = 2,
			--增加属性的描述
			["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4310000_2",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_PHY_DEF,["Value"] = 200,},
				[2] = {["Type"] = ATTR_TYPE_MAGIC_DEF,["Value"] = 200,},
				[3] = {["Type"] = ATTR_TPPE_FIMAL_PHY_ATK,["Value"] = 200,},
				[4] = {["Type"] = ATTR_TYPE_FINAL_MAGIC,["Value"] = 200,},
			},
		},
		[3] = {
			--需要解锁的数量
			["nCount"] = 3,
			--增加属性的描述
			["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4310000_3",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_FINAL_PHY_DEF,["Value"] = 100,},
				[2] = {["Type"] = ATTR_TYPE_FINAL_MAIGC_DEF,["Value"] = 100,},
				[3] = {["Type"] = ATTR_TYPE_PHY_CRIT,["Value"] = 100,},
				[4] = {["Type"] = ATTR_TYPE_MAGIC_CRIT,["Value"] = 100,},
			},
		},
		-- [4] = {
			-- --需要解锁的数量
			-- ["nCount"] = 4,
			-- ["strValue"] = "敬请期待",
			-- --增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			-- ["AddAttr"] = {
				-- [1] = {["Type"] = ATTR_TYPE_DEF_CRIT,["Value"] = 100,},
				-- [2] = {["Type"] = ATTR_TYPE_CRUSH_ATK,["Value"] = 100,},
				-- [3] = {["Type"] = ATTR_TYPE_HARD_DEF,["Value"] = 100,},
			-- },
		-- },
		-- [5] = {
			-- --需要解锁的数量
			-- ["nCount"] = 5,
			-- ["strValue"] = "敬请期待",
			-- --增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			-- ["AddAttr"] = {
				-- [1] = {["Type"] = ATTR_TYPE_ABILITY_SCORE,["Value"] = 1000,},
				-- [2] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
				-- [3] = {["Type"] = ATTR_TYPE_LUCK_HIT,["Value"] = 100,},
			-- },
		-- },
	},
	[4320000] = {
		[1] = {
			--需要解锁的数量
			["nCount"] = 1,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4320000_1",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},

			},
		},
		 [2] = {
			 --需要解锁的数量
			 ["nCount"] = 2,
			 --增加属性的描述
			 ["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4320000_2",
			 --增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			 ["AddAttr"] = {
				 [1] = {["Type"] = ATTR_TYPE_PHY_DEF,["Value"] = 200,},
				 [2] = {["Type"] = ATTR_TYPE_MAGIC_DEF,["Value"] = 200,},
				 [3] = {["Type"] = ATTR_TPPE_FIMAL_PHY_ATK,["Value"] = 200,},
				 [4] = {["Type"] = ATTR_TYPE_FINAL_MAGIC,["Value"] = 200,},
			},
		},
		 [3] = {
			 --需要解锁的数量
			 ["nCount"] = 3,
			 --增加属性的描述
			 ["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4320000_3",
			 --增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			 ["AddAttr"] = {
				 [1] = {["Type"] = ATTR_TYPE_PHY_DEF,["Value"] = 200,},
			},
		},
	},	
	-- 主藏品ID
	[4330000] = {
		[1] = {
			--需要解锁的数量
			["nCount"] = 1,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4330000_1",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
			},
		},
		[2] = {
			 --需要解锁的数量
			 ["nCount"] = 2,
			 --增加属性的描述
			 ["strValue"] =  "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4330000_2",
			 --增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			 -- ["AddAttr"] = {
				 -- [1] = {["Type"] = ATTR_TYPE_PHY_DEF,["Value"] = 200,},
				 -- [2] = {["Type"] = ATTR_TYPE_MAGIC_DEF,["Value"] = 200,},
				 -- [3] = {["Type"] = ATTR_TPPE_FIMAL_PHY_ATK,["Value"] = 200,},
				 -- [4] = {["Type"] = ATTR_TYPE_FINAL_MAGIC,["Value"] = 200,},
			 -- },
		 },

	},
	-- 主藏品ID
	[4331000] = {
		[1] = {
			--需要解锁的数量
			["nCount"] = 1,
			["strValue"] = "STR_INI_LUA_COLLECTDATA_ACTIVEINFO_STRVALUE_4331000_1",
			--增加的属性值Type是增加属性类型，Value是值，除了生命上限必须正确，其他的无所谓
			["AddAttr"] = {
				[1] = {["Type"] = ATTR_TYPE_LUCK_ASYLUM,["Value"] = 100,},
			},
		},
	},

}

-- 衣柜灵宠预览时，显示玩家角色时灵宠与角色之间的偏移
local PetOffsetX = {
	-- 灵宠模型ID
	[423] = {["PetOffsetX"] = -75, ["RoleOffsetX"] = 75, },
	[507] = {["PetOffsetX"] = -75, ["RoleOffsetX"] = 75, },
	[517] = {["PetOffsetX"] = -75, ["RoleOffsetX"] = 75, },
}

local function GetActiveInfo(nType, nIndex, mainID)
	local Info = ActiveInfo[mainID]
		
	if nType == "LevSum" then
		if (Info == nil) then
			return 0
		else
			return #Info
		end
	end

	if Info == nil then
		return nil
	end
	
	Info = Info[nIndex]
	
	if Info == nil then
		return nil
	end
	
	Info = Info[nType]
	
	if Info == nil then
		return nil
	end

	return Info
end

local function GetAttrTypeByIndex(nIndexLev, nIndex, nType, mainID)
	local Info = ActiveInfo[mainID]
	
	if Info == nil then
		return nil
	end
	
	Info = Info[nIndexLev]
	
	if Info == nil then
		return nil
	end
	
	
	Info = Info["AddAttr"]
	
	if Info == nil then
		return nil
	end

	if nType == "AttrNum" then 
		return #Info
	end
	
	Info = Info[nIndex]
	
	if Info == nil then
		return nil
	end

	Info = Info[nType]
	
	if Info == nil then
		return nil
	end

	return Info
end

local function GetBoddyEffectInfo(id, action, look)
	local value = ModelShowData[id]
	
	if (value ~= nil) then
		value = value["Effect"]
		
		if (value ~= nil) then
			value = value[action]
			
			if (value ~= nil) then
				value = value[look]
				
				if (value ~= nil) then
					return value
				end
			end
		end
	end
	
	if (look == "Dir") then
		return 0
	elseif (look == "Delect") then
		return 1
	end

	return ""
end

local function GetFirstCount()

	local value = CollectData["count"]
	if (value == nil) then
		return 0
	end
	
	return value
end

local function GetFirstData(idIndex, idType)

	local value = CollectData[idIndex]
	if (value == nil) then
		if (idType == "Effect") then
			return ""
		else
			return 0
		end
	end
	
	value = value[idType]
	
	if (value == nil) then
		if (idType == "Effect") then
			return ""
		else
			return 0
		end
	end
	
	return value
end


local function GetSecondData(idIndex1, idIndex2, idType)

	local value = CollectData[idIndex1]
	if (value == nil) then
		if (idType == "Effect") then
			return ""
		else
			return 0
		end
	end
	
	value = value[idIndex2]
	
	if (value == nil) then
		if (idType == "Effect") then
			return ""
		else
			return 0
		end
	end
	
	value = value[idType]
	
	if (value == nil) then
		if (idType == "Effect") then
			return ""
		else
			return 0
		end
	end
	
	return value
end

local function GetFirstTerainEffDir(idIndex1, idType1, idType2)
	local value = GetFirstData(idIndex1, "TerainEffDir")
	return value[idType1][idType2]
end


local function GetSecondTerainEffDir(idIndex1, idIndex2, idType1, idType2)
	local value = GetSecondData(idIndex1, idIndex2, "TerainEffDir")
	return value[idType1][idType2]
end

local function GetModelShowData(idIndex, idType)

	local value = ModelShowData[idIndex]
	if (value == nil) then
		return 0
	end
	
	value = value[idType]
	
	if (value == nil) then
		return 0
	end
	
	return value
end

-- 双人交互动作方向
-- action为动作ID，后续可根据动作id区分动作方向
local function GetDoubleDir(action)
	if (action == 1107) then
		return 7
	end
	
	if (action == 1210) then
		return 7
	end
	
	return 7
end

-- 单人炫耀动作方向
-- action为动作ID，后续可根据动作id区分动作方向
local function GetSingleDir(action)
	if (action == 1107) then
		return 7
	end
	
	if (action == 1210) then
		return 7
	end
	
	return 7
end

-- 鼠标图标ID,对应Cursor.ini文件
local function GetCursorId()
	return 70
end

-- 高调赠送需要的天石
local function GetGiveNeedEMoney()
	return 810
end

-- 获取藏品动作帧间隔
-- action:动作编号
-- weapon:武器组合
-- mount:坐骑
local function GetActionInterval(idx)
	local action = math.fmod(idx,10000)
	local weapon = math.fmod(math.floor(idx / 10000000),1000)
	local mount = math.floor(idx / 10000000000)
	local strFind = string.format(",%d,", action)

	if (action == 1100 or action == 1101 or action == 1200 or action == 1201) then
		if (weapon == 680 or weapon == 617) then
			return 33
		else
			return 55
		end
	elseif string.find(",1102,1103,1202,1203,1302,1303,1602,1603,1702,1703,1802,1803,", strFind) ~= nil then
	-- 以上藏品专属走路动作帧间隔改为25
		return 25
	elseif string.find(",1104,1105,1204,1205,1304,1305,1604,1605,1704,1705,1804,1805,", strFind) ~= nil then
	-- 以上藏品专属跑步动作帧间隔改为25
		if (mount > 0) then
	-- 马上动作跑步保持帧间隔33不变
			return 33
		else
			return 25
		end
	end
	
	return 0
end


local function GetTopShowActionOffset(idaction, idx)
	local npos = TopShowActionOffset[idaction]
	
	if (npos == nil) then
		return 0
	end
	
	npos = npos[idx]
	
	if (npos == nil) then
		return 0
	end
	
	return npos
end

local function GetPetOffsetX(idmodel, key)
	if PetOffsetX[idmodel] == nil then
		return nil
	end

	if PetOffsetX[idmodel][key] == nil then
		return nil
	end

	return PetOffsetX[idmodel][key]
end

local function Unload()
	ModelShowData = nil
	CollectData = nil
end

local CollectData = {
	GetFirstCount = GetFirstCount,
	GetFirstData = GetFirstData,
	GetSecondData = GetSecondData,
	GetModelShowData = GetModelShowData,
	GetDoubleDir = GetDoubleDir,
	GetSingleDir = GetSingleDir,
	GetCursorId = GetCursorId,
	GetBoddyEffectInfo = GetBoddyEffectInfo,
	GetGiveNeedEMoney = GetGiveNeedEMoney,
	GetActiveInfo = GetActiveInfo,
	GetAttrTypeByIndex = GetAttrTypeByIndex,
	GetActionInterval = GetActionInterval,
	GetTopShowActionOffset = GetTopShowActionOffset,
	GetSecondTerainEffDir = GetSecondTerainEffDir,
	GetFirstTerainEffDir = GetFirstTerainEffDir,
	GetPetOffsetX = GetPetOffsetX,
	Unload = Unload,
}

-- global
CollectData_GetFirstCount = CollectData.GetFirstCount
CollectData_GetFirstTerainEffDir = CollectData.GetFirstTerainEffDir
CollectData_GetFirstData = CollectData.GetFirstData
CollectData_GetSecondData = CollectData.GetSecondData
CollectData_GetSecondTerainEffDir = CollectData.GetSecondTerainEffDir
CollectData_GetModelShowData = CollectData.GetModelShowData
CollectData_GetDoubleDir = CollectData.GetDoubleDir
CollectData_GetSingleDir = CollectData.GetSingleDir
CollectData_GetCursorId = CollectData.GetCursorId
CollectData_GetBoddyEffectInfo = CollectData.GetBoddyEffectInfo
CollectData_GetGiveNeedEMoney = CollectData.GetGiveNeedEMoney
CollectData_GetActiveInfo = CollectData.GetActiveInfo
CollectData_GetAttrTypeByIndex = CollectData.GetAttrTypeByIndex
CollectData_GetActionInterval = CollectData.GetActionInterval
CollectData_GetTopShowActionOffset = CollectData.GetTopShowActionOffset
CollectData_GetPetOffsetX = CollectData.GetPetOffsetX
CollectData_Unload = CollectData.Unload

return CollectData
